<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    T1: <input onblur="calculateGrade();" type="text" value="0"><br>
    T2: <input onblur="calculateGrade();" type="text" value="0"><br>
    T3: <input onblur="calculateGrade();" type="text" value="0"><br>
    T4: <input onblur="calculateGrade();" type="text" value="0"><br>

    <div id="pistemaara">Pistemäärä: 0</div>
    <div id="arvosana">Arvosana: 0</div>

    <script>
        function calculateGrade() {
            const points = [];
            let summa = 0;
            const inputs = document.getElementsByTagName("input");

            for (const input of inputs) { // input on javascriptin oma sana
                const value = parseInt(input.value);

                if(isNaN(value) < 0 || value > 6) {
                    raiseError();
                    return;
                }

                summa = summa + parseInt(input.value);
            }

            const grade = getGrade(summa);

            document.getElementById("pistemaara").innerHTML = "Pistemäärä: " + summa;
            document.getElementById("arvosana").innerHTML = "Arvosana: " + grade;
        }

        function getGrade(points) {
            if (points <= 12) {
                return 0;
            } else if (points == 13 || points == 14 || points == 15) {
                return 1;
            } else if (points == 16 || points == 17) {
                return 2;
            }
              else if (points == 18 || points == 19) {
                  return 3;
              }
              else if (points == 20 || points == 21) {
                  return 4;
              }
              else if (points == 22 || points == 23  || points == 24) {
                  return 5;
              }
            
        }

        function raiseError() {
            document.getElementById("pistemaara").innerHTML = "Virhe!!";
            document.getElementById("arvosana").innerHTML = "Virhe!!";
        }
    </script>
</body>
</html>